import {
  a as s
} from "./chunk-BYYJ3QKW.js";
import {
  a as n
} from "./chunk-PK4C6KGI.js";
import {
  a as t,
  c as l
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/phpdoc.js
var u = l((g, p) => {
  var c = s(), d = n();
  p.exports = r;
  r.displayName = "phpdoc";
  r.aliases = [];
  function r(a) {
    a.register(c), a.register(d), function(e) {
      var o = /(?:\b[a-zA-Z]\w*|[|\\[\]])+/.source;
      e.languages.phpdoc = e.languages.extend("javadoclike", {
        parameter: {
          pattern: RegExp(
            "(@(?:global|param|property(?:-read|-write)?|var)\\s+(?:" + o + "\\s+)?)\\$\\w+"
          ),
          lookbehind: !0
        }
      }), e.languages.insertBefore("phpdoc", "keyword", {
        "class-name": [
          {
            pattern: RegExp(
              "(@(?:global|package|param|property(?:-read|-write)?|return|subpackage|throws|var)\\s+)" + o
            ),
            lookbehind: !0,
            inside: {
              keyword: /\b(?:array|bool|boolean|callback|double|false|float|int|integer|mixed|null|object|resource|self|string|true|void)\b/,
              punctuation: /[|\\[\]()]/
            }
          }
        ]
      }), e.languages.javadoclike.addSupport("php", e.languages.phpdoc);
    }(a);
  }
  t(r, "phpdoc");
});

export {
  u as a
};
